Commit 8601530b authored by k8s-merge-robot's avatar k8s-merge-robot Committed by GitHub

Merge pull request #28460 from wojtek-t/remove_cmd_integration

Automatic merge from submit-queue Remove cmd/integration test Fix #24440 After few cleanup PRs: https://github.com/kubernetes/kubernetes/pull/27182 https://github.com/kubernetes/kubernetes/pull/27535 https://github.com/kubernetes/kubernetes/pull/26016 The only things that are being tested here is: - starting master components without any verification (so if it didn't start, it will still work :P) - checking if kubelet is starting containers from http manifest. The latter is already tested in: https://github.com/kubernetes/kubernetes/blob/master/pkg/kubelet/config/http_test.go#L54 So the test is now useless, at the same time, significantly increasing time spent on integration tests. @lavalamp @mikedanese @spxtr @fejta
parents 56900880 3686e55d
...@@ -226,8 +226,7 @@ hack/test-integration.sh # Run all integration tests. ...@@ -226,8 +226,7 @@ hack/test-integration.sh # Run all integration tests.
``` ```
This script runs the golang tests in package This script runs the golang tests in package
[`test/integration`](../../test/integration/) [`test/integration`](../../test/integration/).
and a special watch cache test in `cmd/integration/integration.go`.
### Run a specific integration test ### Run a specific integration test
......
...@@ -109,7 +109,6 @@ readonly KUBE_CLIENT_BINARIES_WIN=("${KUBE_CLIENT_BINARIES[@]/%/.exe}") ...@@ -109,7 +109,6 @@ readonly KUBE_CLIENT_BINARIES_WIN=("${KUBE_CLIENT_BINARIES[@]/%/.exe}")
# The set of test targets that we are building for all platforms # The set of test targets that we are building for all platforms
kube::golang::test_targets() { kube::golang::test_targets() {
local targets=( local targets=(
cmd/integration
cmd/gendocs cmd/gendocs
cmd/genkubedocs cmd/genkubedocs
cmd/genman cmd/genman
......
...@@ -14,10 +14,6 @@ ...@@ -14,10 +14,6 @@
# See the License for the specific language governing permissions and # See the License for the specific language governing permissions and
# limitations under the License. # limitations under the License.
# any command line arguments will be passed to hack/build_go.sh to build the
# cmd/integration binary. --use_go_build is a legitimate argument, as are
# any other build time arguments.
set -o errexit set -o errexit
set -o nounset set -o nounset
set -o pipefail set -o pipefail
...@@ -69,14 +65,6 @@ runTests() { ...@@ -69,14 +65,6 @@ runTests() {
KUBE_TEST_API_VERSIONS="$1" \ KUBE_TEST_API_VERSIONS="$1" \
"${KUBE_ROOT}/hack/test-go.sh" $(kube::test::find_integration_test_dirs) "${KUBE_ROOT}/hack/test-go.sh" $(kube::test::find_integration_test_dirs)
# Run the watch cache tests
# KUBE_TEST_ARGS doesn't mean anything to the watch cache test.
if [[ -z "${KUBE_TEST_ARGS}" ]]; then
kube::log::status "Running integration test scenario with watch cache on"
KUBE_TEST_API_VERSIONS="$1" "${KUBE_OUTPUT_HOSTBIN}/integration" --v=${LOG_LEVEL} \
--max-concurrency="${KUBE_INTEGRATION_TEST_MAX_CONCURRENCY}" --watch-cache=true
fi
cleanup cleanup
} }
...@@ -90,8 +78,6 @@ checkEtcdOnPath() { ...@@ -90,8 +78,6 @@ checkEtcdOnPath() {
checkEtcdOnPath checkEtcdOnPath
"${KUBE_ROOT}/hack/build-go.sh" "$@" cmd/integration
# Run cleanup to stop etcd on interrupt or other kill signal. # Run cleanup to stop etcd on interrupt or other kill signal.
trap cleanup EXIT trap cleanup EXIT
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment